Bug 31298 - G4 Mac mini Radeon 9200: No 3d-Acceleration
Summary: G4 Mac mini Radeon 9200: No 3d-Acceleration
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/Radeon (show other bugs)
Version: unspecified
Hardware: PowerPC other
: medium normal
Assignee: xf86-video-ati maintainers
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-01 09:18 UTC by Nobody
Modified: 2010-11-22 08:27 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Xorg log (129.73 KB, text/plain)
2010-11-01 09:18 UTC, Nobody
no flags Details
dmesg (27.54 KB, text/plain)
2010-11-01 09:19 UTC, Nobody
no flags Details
xorg.log after radeon.modeset=0 option (98.72 KB, patch)
2010-11-13 01:23 UTC, Nobody
no flags Details | Splinter Review
dmesg after radeon.modeset=0 option (27.29 KB, patch)
2010-11-13 01:23 UTC, Nobody
no flags Details | Splinter Review
Tuxkart with enabled 3d-acceleration (287.98 KB, image/png)
2010-11-20 02:20 UTC, Nobody
no flags Details
Screenshot with visual effects activated (56.54 KB, image/jpeg)
2010-11-20 02:25 UTC, Nobody
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nobody 2010-11-01 09:18:35 UTC
Created attachment 39957 [details]
Xorg log

I am using Ubuntu 10.10 on my G4 Mac mini.
Until now I wasn't able to activate hardware acceleration of the Radeon 9200, 32MB.

Thanks to the support in other forums I
- tried several xorg.conf standards for radeon (http://mac.linux.be/content/xorgconf-files)
- forced the chipset in the xorg.conf (ChipID 0x514D)
- tried this http://blog.kosmokaryote.org/2010/05...mini-with.html
- removed all graphic drivers leaving only the xserver-xorg-video-radeon.

But still glxinfo tells me that rendering is enabled, but glxgears runs only with 90fps and when I start driconf I get: Screen "0" is not direct rendering capable.
Comment 1 Nobody 2010-11-01 09:19:30 UTC
Created attachment 39958 [details]
dmesg
Comment 2 Alex Deucher 2010-11-01 09:37:49 UTC
Disable radeonfb.
Comment 3 Alex Deucher 2010-11-01 09:38:45 UTC
radeonfb and the kms drm are not compatible.  The kms drm provides a framebuffer device natively so there is no need for radeonfb.
Comment 4 Michel Dänzer 2010-11-01 09:45:40 UTC
Either disable radeonfb, or disable KMS with radeon.modeset=0.

Though as discussed previously, it might be nice if the radeon DRM came up with KMS disabled in this case instead of completely inactive.
Comment 5 Nobody 2010-11-01 10:38:08 UTC
I entered "Linux video=radeonfb:off" in the yaboot bootpromt
After the Ubuntu loading screen, the monitor remained black but with signal.
Comment 6 Nobody 2010-11-01 10:58:00 UTC
... disabling the KMS worked for me!!!
Now I have 1300fps in glxgears, am able to launch driconf in normal mode and also Tuxkart seems to work, not fast but much better.

Thanks a lot
Comment 7 Daniel Vetter 2010-11-02 14:06:52 UTC
FYI I've needed the following to make kms work on my mac mini g4:

- radeon.agpmode=-1 (the box hangs almost immediately after the gpu dies - likely due to cache coherency problems - when the gpu reset is performed)

- the patch "drm/radeon: Add early unregister of firmware fb's" is required to prevent the open firmwire driver from fighting with the modesetting radeon driver. This also kills the gpu on initial modeset.

-Daniel
Comment 8 Michel Dänzer 2010-11-03 04:58:51 UTC
(In reply to comment #7)
> - radeon.agpmode=-1 (the box hangs almost immediately after the gpu dies -

If radeon.agpmode=1 doesn't work either, that may be due to bug 28402.

The instability at higher rates seems to be a uninorth AGP driver problem for which benh is working on a fix, but note that it seems to make hardly any difference for performance, whereas AGP 1x performs a lot better than PCI.
Comment 9 Nobody 2010-11-13 01:16:10 UTC
(In reply to comment #6)
> ... disabling the KMS worked for me!!!
> Now I have 1300fps in glxgears, am able to launch driconf in normal mode and
> also Tuxkart seems to work, not fast but much better.
> 
> Thanks a lot

...well after some testing I recognize that 3d acceleration may be enabled but its broken. If I activate visual effets for the gnome session I got strange colors but no visual effects. Same for 3d-accelerated games.

In dmesg I get:  radeonfb invalid rom contents

Thank you for your help
Comment 10 Nobody 2010-11-13 01:23:00 UTC
Created attachment 40247 [details] [review]
xorg.log after radeon.modeset=0 option
Comment 11 Nobody 2010-11-13 01:23:33 UTC
Created attachment 40248 [details] [review]
dmesg after radeon.modeset=0 option
Comment 12 Michel Dänzer 2010-11-15 03:21:24 UTC
(In reply to comment #9)
> (In reply to comment #6)
> > Now I have 1300fps in glxgears, am able to launch driconf in normal mode and
> > also Tuxkart seems to work, not fast but much better.
> 
> ...well after some testing I recognize that 3d acceleration may be enabled but
> its broken. If I activate visual effets for the gnome session I got strange
> colors but no visual effects.

What exactly does that mean? E.g. can you get a screenshot of the 'strange colors', and does 'no visual effects' mean window decorations, movement etc. look the same as before trying to enable visual effects, or something else? ...

> Same for 3d-accelerated games.

I'm confused: Did you measure the performance of glxgears and tuxkart above without noticing these problems, or what changed in the meantime?
Comment 13 Nobody 2010-11-20 02:20:05 UTC
Created attachment 40432 [details]
Tuxkart with enabled 3d-acceleration
Comment 14 Nobody 2010-11-20 02:25:57 UTC
Created attachment 40433 [details]
Screenshot with visual effects activated
Comment 15 Nobody 2010-11-20 02:51:21 UTC
Excuse mee for my late reply.

> What exactly does that mean? E.g. can you get a screen shot of the 'strange
> colors', and does 'no visual effects' mean window decorations, movement etc.
> look the same as before trying to enable visual effects, or something else? ...
> 
> > Same for 3d-accelerated games.
> 
> I'm confused: Did you measure the performance of glxgears and tuxkart above
> without noticing these problems, or what changed in the meantime?

Actually I didn't perform testing well. I thought such issues (strange colors) would be only little bugs.

When I activate "visual effects " for the gnome session, the environment runs really slow, colors are false and closed windows remain as ghosts.
(See screenshot)

The Tuxkart menu is relly slow and shows false colors. The game itself runs much faster than before radeon.modeset=0 but its still unplayable. During the game polygons are changing to strange colors. Could only take a screen shot from the menu. When I tried to perform one during the game the computer crashes.

I installed and tested OpenArena: it works perfect and super fast
Comment 16 Michel Dänzer 2010-11-22 08:27:18 UTC
(In reply to comment #15)
> I installed and tested OpenArena: it works perfect and super fast

So the problem reported here definitely seems fixed. The other problem(s) need to be tracked separately.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.